Index: mythvideo/i18n/mythvideo_sv.ts
===================================================================
--- mythvideo/i18n/mythvideo_sv.ts	(revision 19937)
+++ mythvideo/i18n/mythvideo_sv.ts	(working copy)
@@ -1202,28 +1583,205 @@
     </message>
     <message>
         <source>OK</source>
-        <translation>ok</translation>
+        <translation type="obsolete">ok</translation>
     </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1252"/>
+        <source>No Videos Available</source>
+        <translation>Inga videor tillgängliga</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1614"/>
+        <source>%1 of %2</source>
+        <translation>%1 av %2</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1665"/>
+        <source>Watch This Video</source>
+        <translation>Spela upp denna film</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1669"/>
+        <source>Watch With Trailers</source>
+        <translation>Spela upp med filmsnuttar</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1679"/>
+        <source>Watch Trailer</source>
+        <translation>Spela upp filmsnutt</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1684"/>
+        <source>Video Info</source>
+        <translation>Video information</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1685"/>
+        <source>Manage Video</source>
+        <translation>Hantera video</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1687"/>
+        <source>Scan For Changes</source>
+        <translation>Scanna för ändringar</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1696"/>
+        <source>Change View</source>
+        <translation>Ändra vy</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1689"/>
+        <source>Filter Display</source>
+        <translation>Filtervisning</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1781"/>
+        <source>Cancel</source>
+        <translation>Avbryt</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1717"/>
+        <source>Switch to Manage View</source>
+        <translation>Byt till hanteringsvy</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1721"/>
+        <source>Disable File Browse Mode</source>
+        <translation>Inaktivera filbläddringsläge</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1724"/>
+        <source>Enable File Browse Mode</source>
+        <translation>Aktivera filbläddringsläge</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1728"/>
+        <source>Disable Flat View</source>
+        <translation>Inaktivera flat visnings läge</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1731"/>
+        <source>Enable Flat View</source>
+        <translation>Aktivera flat visnings läge</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1749"/>
+        <source>View Details</source>
+        <translation>Visa detaljer</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1751"/>
+        <source>View Full Plot</source>
+        <translation>Visa full beskrivning</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1755"/>
+        <source>View Cast</source>
+        <translation>Visa fördelning</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1771"/>
+        <source>Edit Metadata</source>
+        <translation>Redigera metadata</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1772"/>
+        <source>Download Metadata</source>
+        <translation>Ladda ner metadata</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1773"/>
+        <source>Manually Enter Video #</source>
+        <translation>Lägg till video manuellt #</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1775"/>
+        <source>Manually Enter Video Title</source>
+        <translation>Lägg till videotitel manuellt</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1777"/>
+        <source>Reset Metadata</source>
+        <translation>Återställ metadata</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1778"/>
+        <source>Toggle Browseable</source>
+        <translation>Växla bläddringsbar</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1779"/>
+        <source>Remove Video</source>
+        <translation>Ta bort film</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1882"/>
+        <source>An error occurred when switching views.</source>
+        <translation>Ett fel skedde när  omkopplade  vyer.</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2140"/>
+        <source>Enter Video Unique ID:</source>
+        <translation>Lägg till Video Unik ID:</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2161"/>
+        <source>Enter Video Title:</source>
+        <translation>Lägg till Video Titel:</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2207"/>
+        <source>Delete this file?</source>
+        <translation>Ta bort denna fil?</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2233"/>
+        <source>Failed to delete file</source>
+        <translation>Misslyckades ta bort fil</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2362"/>
+        <source>Poster download finished: %1 %2</source>
+        <translation>Färdigt nerladdat omslag: %1%2</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2367"/>
+        <source>A poster exists for this item but could not be retrieved within the timeout period.
+</source>
+        <translation>Ett omslag existerar för dethär numret men kan inte hämta inom tidsramen perioden.
+</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2541"/>
+        <source>No matches were found.</source>
+        <translation>Inga träffar hittades.</translation>
+    </message>
 </context>
 <context>
     <name>VideoFilterDialog</name>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="488"/>
         <source>Result of this filter : %1 video(s)</source>
         <translation>Resultat av detta filter: %1 video(s)</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="494"/>
         <source>Result of this filter : No Videos</source>
         <translation>Resultat av detta filter: Inga videos</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="610"/>
         <source>minutes</source>
         <translation>minuter</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="443"/>
         <source>Save as default</source>
         <translation>Spara som standard</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="444"/>
         <source>Done</source>
         <translation>Klar</translation>
     </message>
@@ -1232,27 +1790,27 @@
     <name>VideoGallery</name>
     <message>
         <source>Filter Display</source>
-        <translation>Filtervisning</translation>
+        <translation type="obsolete">Filtervisning</translation>
     </message>
     <message>
         <source>Watch This Video</source>
-        <translation>Spela upp denna film</translation>
+        <translation type="obsolete">Spela upp denna film</translation>
     </message>
     <message>
         <source>View Full Plot</source>
-        <translation>Visa full beskrivning</translation>
+        <translation type="obsolete">Visa full beskrivning</translation>
     </message>
     <message>
         <source>View Details</source>
-        <translation>Visa detaljer</translation>
+        <translation type="obsolete">Visa detaljer</translation>
     </message>
     <message>
         <source>Cancel</source>
-        <translation>Avbryt</translation>
+        <translation type="obsolete">Avbryt</translation>
     </message>
     <message>
         <source>View Cast</source>
-        <translation>visa fördelning</translation>
+        <translation type="obsolete">visa fördelning</translation>
     </message>
 </context>
 <context>
@@ -1303,34 +1861,52 @@
     </message>
 </context>
 <context>
+    <name>VideoScannerThread</name>
+    <message>
+        <location filename="../mythvideo/videoscan.cpp" line="99"/>
+        <source>Searching for video files</source>
+        <translation>Söker efter videofiler</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videoscan.cpp" line="178"/>
+        <source>Verifying video files</source>
+        <translation>Verifierar video filer</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videoscan.cpp" line="211"/>
+        <source>Updating video database</source>
+        <translation>Uppdaterar video databas</translation>
+    </message>
+</context>
+<context>
     <name>VideoTree</name>
     <message>
         <source>Select action</source>
-        <translation>Välj åtgärd</translation>
+        <translation type="obsolete">Välj åtgärd</translation>
     </message>
     <message>
         <source>Watch This Video</source>
-        <translation>Spela upp denna film</translation>
+        <translation type="obsolete">Spela upp denna film</translation>
     </message>
     <message>
         <source>View Full Plot</source>
-        <translation>Visa full beskrivning</translation>
+        <translation type="obsolete">Visa full beskrivning</translation>
     </message>
     <message>
         <source>Filter Display</source>
-        <translation>Filtervisning</translation>
+        <translation type="obsolete">Filtervisning</translation>
     </message>
     <message>
         <source>Switch to Browse View</source>
-        <translation>Byt till bläddringsläge</translation>
+        <translation type="obsolete">Byt till bläddringsläge</translation>
     </message>
     <message>
         <source>Switch to Gallery View</source>
-        <translation>Byt till galleriläge</translation>
+        <translation type="obsolete">Byt till galleriläge</translation>
     </message>
     <message>
         <source>Cancel</source>
-        <translation>Avbryt</translation>
+        <translation type="obsolete">Avbryt</translation>
     </message>
     <message>
         <source>Ok</source>
@@ -1338,58 +1914,58 @@
     </message>
     <message>
         <source>View Cast</source>
-        <translation>visa fördelning</translation>
+        <translation type="obsolete">visa fördelning</translation>
     </message>
 </context>
 <context>
     <name>mythvideo_videomanager::VideoManagerImp</name>
     <message>
         <source>Select action:</source>
-        <translation>Välj åtgärd:</translation>
+        <translation type="obsolete">Välj åtgärd:</translation>
     </message>
     <message>
         <source>Edit Metadata</source>
-        <translation>Ändra metadata</translation>
+        <translation type="obsolete">Ändra metadata</translation>
     </message>
     <message>
         <source>Search</source>
-        <translation>sök</translation>
+        <translation type="obsolete">sök</translation>
     </message>
     <message>
         <source>Manually Enter Video #</source>
-        <translation>Lägg till video manuellt #</translation>
+        <translation type="obsolete">Lägg till video manuellt #</translation>
     </message>
     <message>
         <source>Manually Enter Video Title</source>
-        <translation>Lägg till videotitel manuellt</translation>
+        <translation type="obsolete">Lägg till videotitel manuellt</translation>
     </message>
     <message>
         <source>Reset Metadata</source>
-        <translation>Återställ metadata</translation>
+        <translation type="obsolete">Återställ metadata</translation>
     </message>
     <message>
         <source>Toggle Browseable</source>
-        <translation>Växla bläddringsbar</translation>
+        <translation type="obsolete">Växla bläddringsbar</translation>
     </message>
     <message>
         <source>Remove Video</source>
-        <translation>Ta bort film</translation>
+        <translation type="obsolete">Ta bort film</translation>
     </message>
     <message>
         <source>Filter Display</source>
-        <translation>Filtervisning</translation>
+        <translation type="obsolete">Filtervisning</translation>
     </message>
     <message>
         <source>Cancel</source>
-        <translation>Avbryt</translation>
+        <translation type="obsolete">Avbryt</translation>
     </message>
     <message>
         <source>Delete this file?</source>
-        <translation>Ta bort denna fil?</translation>
+        <translation type="obsolete">Ta bort denna fil?</translation>
     </message>
     <message>
         <source>delete failed</source>
-        <translation>borttagning misslyckades</translation>
+        <translation type="obsolete">borttagning misslyckades</translation>
     </message>
 </context>
 </TS>
Index: mythnews/i18n/mythnews_sv.ts
===================================================================
--- mythnews/i18n/mythnews_sv.ts	(revision 19937)
+++ mythnews/i18n/mythnews_sv.ts	(working copy)
@@ -1,94 +1,90 @@
 <?xml version="1.0" encoding="utf-8"?>
-<!DOCTYPE TS><TS version="1.1">
+<!DOCTYPE TS><TS version="1.1" language="sv">
+<defaultcodec></defaultcodec>
 <context>
     <name>MythNews</name>
     <message>
-        <location filename="../mythnews/mythnews.cpp" line="391"/>
+        <location filename="../mythnews/mythnews.cpp" line="438"/>
         <source>Updated</source>
         <translation>Uppdaterad</translation>
     </message>
     <message>
-        <location filename="../mythnews/mythnews.cpp" line="398"/>
+        <location filename="../mythnews/mythnews.cpp" line="445"/>
         <source>Unknown</source>
         <translation>Okänd</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Edit Site Details</source>
         <translation type="obsolete">Redigera platsdetaljer</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Enter Site Details</source>
         <translation type="obsolete">Ange platsdetaljer</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Name:</source>
         <translation type="obsolete">Namn:</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>URL:</source>
         <translation type="obsolete">URL:</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Icon:</source>
         <translation type="obsolete">Ikon:</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>OK</source>
         <translation type="obsolete">OK</translation>
     </message>
     <message>
-        <location filename="../mythnews/mythnews.cpp" line="801"/>
+        <location filename="../mythnews/mythnews.cpp" line="889"/>
         <source>Cancel</source>
         <translation>Avbryt</translation>
     </message>
     <message>
-        <location filename="../mythnews/mythnews.cpp" line="798"/>
+        <location filename="../mythnews/mythnews.cpp" line="885"/>
         <source>Edit News Site</source>
         <translation>Redigera nyhetsplats</translation>
     </message>
     <message>
-        <location filename="../mythnews/mythnews.cpp" line="799"/>
+        <location filename="../mythnews/mythnews.cpp" line="886"/>
         <source>Add News Site</source>
         <translation>Lägg till nyhetsplats</translation>
     </message>
     <message>
-        <location filename="../mythnews/mythnews.cpp" line="800"/>
+        <location filename="../mythnews/mythnews.cpp" line="888"/>
         <source>Delete News Site</source>
         <translation>Ta bort nyhetsplats</translation>
     </message>
     <message>
-        <location filename="../mythnews/mythnews.cpp" line="786"/>
+        <location filename="../mythnews/mythnews.cpp" line="872"/>
         <source>Options</source>
         <translation>Valmöjligheter</translation>
     </message>
+    <message>
+        <location filename="../mythnews/mythnews.cpp" line="128"/>
+        <source>You haven&apos;t configured MythNews to use any sites.</source>
+        <translation>Du har inte konfigurerat MythNyheter att använda några nyhetsplatser.</translation>
+    </message>
 </context>
 <context>
     <name>MythNewsConfig</name>
     <message>
-        <location filename="" line="0"/>
         <source>Press MENU to set the update frequency.</source>
         <translation type="obsolete">Tryck på MENY för att ställa in uppdateringsfrekvensen.</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Set update frequency by using the up/down arrows.
 The minimum allowed value is 30 Minutes.</source>
         <translation type="obsolete">Ställ in uppdateringsfrekvensen med knapparna upp och ner.
 Minsta tillåtna värdet är 30 minuter.</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Press MENU to return to feed selection.</source>
         <translation type="obsolete">Tryck på MENY för att återvända till val av nyhetskällor.</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Set update frequency by using the up/down arrows.Minimum value is 30 Minutes.</source>
         <translation type="obsolete">Ställ in uppdateringsfrekvensen genom att använda upp/ner pilarna. Minsta värdet är 30 minuter.</translation>
     </message>
@@ -98,43 +94,41 @@
     <message>
         <location filename="../mythnews/newsengine.cpp" line="211"/>
         <source>Failed to retrieve news</source>
-        <translation>Misslyckades med att hämta nyheter</translation>
+        <translation type="obsolete">Misslyckades med att hämta nyheter</translation>
     </message>
     <message>
         <location filename="../mythnews/newsengine.cpp" line="191"/>
         <source>Retrieve Failed. </source>
-        <translation>Mottagning misslyckades.</translation>
+        <translation type="obsolete">Mottagning misslyckades.</translation>
     </message>
     <message>
         <location filename="../mythnews/newsengine.cpp" line="200"/>
         <source>No Cached News</source>
-        <translation>Inga lagrade nyheter</translation>
+        <translation type="obsolete">Inga lagrade nyheter</translation>
     </message>
     <message>
         <location filename="../mythnews/newsengine.cpp" line="213"/>
         <source>Failed to read downloaded file</source>
-        <translation>Misslyckades med att läsa den nerladdade filen</translation>
+        <translation type="obsolete">Misslyckades med att läsa den nerladdade filen</translation>
     </message>
     <message>
         <location filename="../mythnews/newsengine.cpp" line="219"/>
         <source>Showing Cached News</source>
-        <translation>Visar lagrade nyheter</translation>
+        <translation type="obsolete">Visar lagrade nyheter</translation>
     </message>
     <message>
         <location filename="../mythnews/newsengine.cpp" line="236"/>
         <source>XML-file is not valid RSS-feed</source>
-        <translation>XML-filen är ingen giltig RSS-matning</translation>
+        <translation type="obsolete">XML-filen är ingen giltig RSS-matning</translation>
     </message>
 </context>
 <context>
     <name>QObject</name>
     <message>
-        <location filename="" line="0"/>
         <source>MythNews</source>
         <translation type="obsolete">MythNews</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Are you sure you want to delete this news site
 
 %1</source>
@@ -143,7 +137,7 @@
 %1</translation>
     </message>
     <message>
-        <location filename="../mythnews/mythnews.cpp" line="602"/>
+        <location filename="../mythnews/mythnews.cpp" line="679"/>
         <source>Downloading media...</source>
         <translation>Laddar ned media...</translation>
     </message>
